## rust-sequoia-keyring-linter 1.0.0

=== Makefile ===
sq-keyring-linter.1: src/keyring-linter.rs src/cli.rs Makefile
	help2man --output=$@ --name=sq-keyring-linter --no-info $${CARGO_TARGET_DIR:-target}/debug/sq-keyring-linter

## rust-sequoia-keyring-linter 0.5.0

=== debian/changelog ===
rust-sequoia-keyring-linter (0.5.0-1) unstable; urgency=medium

  * Package sequoia-keyring-linter 0.5.0 from crates.io using debcargo 2.4.3

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 18 Dec 2020 10:07:18 -0500

rust-sequoia-keyring-linter (0.4.0-1) unstable; urgency=medium

  * Package sequoia-keyring-linter 0.4.0 from crates.io using debcargo 2.4.3

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 07 Dec 2020 20:19:14 -0500

rust-sequoia-keyring-linter (0.1.0-2) unstable; urgency=medium

  * Package sequoia-keyring-linter 0.1.0 from crates.io using debcargo 2.4.3
  * ship manpage

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 30 Oct 2020 20:18:29 -0400

rust-sequoia-keyring-linter (0.1.0-1) unstable; urgency=medium

  * Package sequoia-keyring-linter 0.1.0 from crates.io using debcargo 2.4.3

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 29 Oct 2020 16:19:48 -0400

=== debian/control ===
Source: rust-sequoia-keyring-linter
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-term-0.12+default-dev,
 librust-anyhow-1+default-dev,
 librust-atty-0.2+default-dev,
 librust-rpassword-5+default-dev,
 librust-sequoia-openpgp-1+crypto-nettle-dev,
 librust-sequoia-openpgp-1-dev,
 librust-structopt-0.3+default-dev,
 librust-thiserror-1+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-keyring-linter]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-keyring-linter
Homepage: https://sequoia-pgp.org/

Package: sq-keyring-linter
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Linter for keyrings
 This package contains the following binaries built from the Rust crate
 "sequoia-keyring-linter":
  - sq-keyring-linter

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sequoia-keyring-linter-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-keyring-linter .*/crates/sequoia-keyring-linter/@ANY_VERSION@/download

## rust-sequoia-keyring-linter 1.0.0

=== debian/changelog ===
rust-sequoia-keyring-linter (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Package sequoia-keyring-linter 1.0.0 from crates.io using debcargo 2.6.0
  * Apply upstream patch for rpassword 6.0 (Closes: #1030915).

 -- Peter Michael Green <plugwash@debian.org>  Sat, 11 Feb 2023 06:43:16 +0000

rust-sequoia-keyring-linter (1.0.0-1) unstable; urgency=medium

  * Package sequoia-keyring-linter 1.0.0 from crates.io using debcargo 2.5.0

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 02 Nov 2022 11:35:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: rust-sequoia-keyring-linter
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11),
- dh-cargo (>= 18),
+Build-Depends: debhelper (>= 12),
+ dh-cargo (>= 25),
  cargo:native,
  rustc:native,
  libstd-rust-dev,
  librust-ansi-term-0.12+default-dev,
  librust-anyhow-1+default-dev,
  librust-atty-0.2+default-dev,
- librust-rpassword-5+default-dev,
+ librust-rpassword-6+default-dev,
  librust-sequoia-openpgp-1+crypto-nettle-dev,
  librust-sequoia-openpgp-1-dev,
  librust-structopt-0.3+default-dev,
@@ -17,10 +17,12 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-keyring-linter]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-keyring-linter
 Homepage: https://sequoia-pgp.org/
+X-Cargo-Crate: sequoia-keyring-linter
+Rules-Requires-Root: no
 
 Package: sq-keyring-linter
 Architecture: any

## rust-sequoia-keyring-linter 1.0.1

=== debian/changelog ===
rust-sequoia-keyring-linter (1.0.1-4) unstable; urgency=medium

  * Package sequoia-keyring-linter 1.0.1 from crates.io using debcargo 2.7.1
  * debian/patches: add dep3 headers.

 -- Holger Levsen <holger@debian.org>  Thu, 24 Oct 2024 12:15:32 +0200

rust-sequoia-keyring-linter (1.0.1-3) unstable; urgency=medium

  * Team upload.
  * Package sequoia-keyring-linter 1.0.1 from crates.io using debcargo 2.6.1
  * Allow deprecated in tests.
  * Allow unused mut (Closes: #1074714).

 -- Peter Michael Green <plugwash@debian.org>  Thu, 04 Jul 2024 21:49:28 +0000

rust-sequoia-keyring-linter (1.0.1-2) unstable; urgency=medium

  * Package sequoia-keyring-linter 1.0.1 from crates.io using debcargo 2.6.1

  [ Alexander Kjäll ]
  * Team upload.
  * Package sequoia-keyring-linter 1.0.1 from crates.io using debcargo 2.6.1
  * Improve formatting of man page (Closes: #987986)

 -- Holger Levsen <holger@debian.org>  Sun, 21 Apr 2024 12:42:20 +0200

rust-sequoia-keyring-linter (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * Package sequoia-keyring-linter 1.0.1 from crates.io using debcargo 2.6.1
  * Drop patch for rpassword 6, included in new upstream release.
  * Bump rpassword dependency to 7
  * Bump sequoia-openpgp dependency to 1.17 to avoid alignment bug in
    sha1collisiondetection crate during test builds.
  * Don't fail build due to deprecated functions.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 27 Nov 2023 22:39:17 +0000

=== debian/control ===
Source: rust-sequoia-keyring-linter
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native,
 rustc:native (>= 1.60),
 libstd-rust-dev,
 librust-ansi-term-0.12+default-dev,
 librust-anyhow-1+default-dev,
 librust-anyhow-1+default-dev (>= 1.0.18-~~),
 librust-atty-0.2+default-dev,
 librust-chrono-0.4+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-clap-mangen-0.2+default-dev,
 librust-rpassword-7+default-dev,
 librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.17-~~),
 librust-sequoia-openpgp-1-dev (>= 1.17-~~),
 librust-thiserror-1+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-keyring-linter]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-keyring-linter
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: sequoia-keyring-linter
Rules-Requires-Root: no

Package: sq-keyring-linter
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Linter for keyrings
 This package contains the following binaries built from the Rust crate
 "sequoia-keyring-linter":
  - sq-keyring-linter

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sequoia-keyring-linter-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-keyring-linter .*/crates/sequoia-keyring-linter/@ANY_VERSION@/download
